For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Legacy DocsSign in
DocumentationChangelog
DocumentationChangelog
  • Get Started
    • Introduction
    • Get your API keys
    • Support
    • Privacy policy
    • Status
  • Transaction Enrichment
    • Overview
    • Entities Identification
    • Categorization
    • Recurrence
  • Bank Statements
    • Overview
    • Fast verification
  • Core resources
    • Batches
    • Entities
    • Account Holders
    • Webhooks
    • Personalization
    • Reporting wrong results
  • API Reference
    • Authentication
    • Errors
    • Request IDs
    • Pagination
    • Rate limits
      • POSTSubmit a batch of requests
      • GETRetrieve a batch
      • GETRetrieve the results of a batch
      • GETList all batches
LogoLogo
Legacy DocsSign in
API ReferenceBatches

Retrieve a batch

GET
https://api.ntropy.com/v3/batches/:id
GET
/v3/batches/:id
$curl -X "GET" \
> "https://api.ntropy.com/v3/batches/203613d2-83c8-4130-8809-d14206eeec20" \
> -H "Accept: application/json" \
> -H "X-API-KEY: cd1H...Wmhl"
1{
2 "id": "203613d2-83c8-4130-8809-d14206eeec20",
3 "operation": "POST /v3/transactions",
4 "status": "processing",
5 "created_at": "2024-01-01T00:00:00",
6 "updated_at": "2024-01-01T00:00:30",
7 "progress": 0,
8 "total": 4000
9}
Was this page helpful?
Previous

Retrieve the results of a batch

Next
Built with

Authentication

X-Api-Keystring
API Key authentication via header

Path parameters

idstringRequired

Response

Successful Response
idstring
A unique identifier for the batch.
operationenum
Allowed values:
statusenum
The status of the batch. Results are not available for a batch with an error status.
Allowed values:
created_atdatetime
The timestamp of when the batch was created.
updated_atdatetime
The timestamp of when the batch was last updated.
progressinteger
The number of transactions processed so far.
totalinteger
The total number of transactions in the batch.

Errors

404
Not Found Error
422
Unprocessable Entity Error